module Dowstore

  def self.priceMarkup(item, mypriceMarkup=0.25, afterdecimal=-1000)

    result = item + (item * mypriceMarkup)
    modulo = result % 1

    if (result.is_a? Integer) && afterdecimal == -1000
      #If result is integer and afterdecimal not specified, return result
      result.to_s

    elsif modulo == 0 && afterdecimal==-1000
      #if the modulus is zero and aferdecimal is not specified, return result 

      sprintf("%.0f", result)

    else
      if afterdecimal ==-1000
        #make the default value of afterdecimal =2 
        afterdecimal =2
      end
      sprintf("%.#{afterdecimal.to_s}f", result)
    end
  end
end 
